
Public Support - Support Request #11515

EBPRODUCTSUPPORT-7216 Dynamic changeable properties for Substream Selectors

2020-06-18 15:45 - hidden

Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-10520

Department: SUPPORT Affected Products: ADTF 3.7.0

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 2nd Level Topic: ADTF::Substreams

Resolution: Solved Issue FAQ Links:  

Description

Supportanfrage

Hier ist noch ein Finding von meinem Kollegen:

Guess the following can be forwarded to the developers.

It seems to have no effect when the properties of the Substream Selectors are changed during runtime. This behavior should be

documented.

To reproduce the problem: Add an ADTF Property Editor to the Demo-Session/Project "Demo Substreams Session" and

change the selected substream or the trigger forwarding.

 Grüße,

Anja

Lösung

Der Substream Selector ist dazu, aus einen Substream (publish) ein Element zu filtern (subscribe) und als Sample Stream

bereitzustellen.

z.B. zur weiterverarbeitung, wie jeder andere Sample Stream auch.

Ein Sample Stream ist eigentlich etwas statisches und fest definiertes.

Deshalb weiß ich nicht ob man gesondert an jeder Stelle dokumentieren sollte, das der Stream zur Laufzeit gleich ist.

Oder anders gesagt: Ich müsste das bei allen Komponenten dann machen.

Kann es sein dass es euch um dynamische Visualsierung zur Laufzeit geht ?

Dazu kann man das Signal View nutzen oder einen eigenen Filter.

Für sonstige Use Cases macht das ganze wenig Sinn, weil man immer den ganzen Substream zb aufzeichnet und daraus dann

subscriben kann.

Aber wie gesagt, vielleicht fehlt mir auch der Use Case und die damit verbundende Erwartungshaltung, deshalb bitte geht hier

nochmal ins Detail.

Aber ja, das ist eine statische Auswahl eines Substreams, da der in der Regel ja für den angehängten Folgefilter passen muss. Aber

ja das sollten wir dokumentieren, mach ich in ACORE-10520 mit.

History

#1 - 2020-06-18 16:10 - hidden

- Project changed from Public Support to 7

- Status changed from New to In Progress

- Topic set to ADTF::Substreams

- Customer set to ELEKTROBIT

- Department set to SUPPORT
- Affected Products ADTF 3.7.0 added

#2 - 2020-06-22 09:03 - hidden

- Status changed from In Progress to Customer Feedback Required

Hallo Anja,

da bin ich etwas anderer Meinung, vielleicht fehlt mir aber auch euer Use Case.

Der Substream Selector ist dazu, aus einen Substream (publish) ein Element zu filtern (subscribe) und als Sample Stream bereitzustellen.

z.B. zur weiterverarbeitung, wie jeder andere Sample Stream auch.

Ein Sample Stream ist eigentlich etwas statisches und fest definiertes.

Deshalb weiß ich nicht ob man gesondert an jeder Stelle dokumentieren sollte, das der Stream zur Laufzeit gleich ist.

Oder anders gesagt: Ich müsste das bei allen Komponenten dann machen.

Kann es sein dass es euch um dynamische Visualsierung zur Laufzeit geht ?

Dazu kann man das Signal View nutzen oder einen eigenen Filter.

Für sonstige Use Cases macht das ganze wenig Sinn, weil man immer den ganzen Substream zb aufzeichnet und daraus dann subscriben kann.

Aber wie gesagt, vielleicht fehlt mir auch der Use Case und die damit verbundende Erwartungshaltung, deshalb bitte geht hier nochmal ins Detail.

#3 - 2020-06-29 10:58 - hidden

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

- Product Issue Numbers set to ACORE-10520

- Platform Windows 10 64bit added

Ja genau, das ist eine statische Auswahl eines Substreams, da der in der Regel ja für den angehängten Folgefilter passen muss. Aber ja das sollten

wir dokumentieren, mach ich in ACORE-10520 mit.

#4 - 2020-06-29 11:02 - hidden

- Project changed from 7 to Public Support

- Subject changed from EBPRODUCTSUPPORT-7216 [EB Internal]Dynamic changeable properties for Substream Selectors to

EBPRODUCTSUPPORT-7216 Dynamic changeable properties for Substream Selectors

- Description updated

- Private changed from Yes to No

- Product Issue Numbers changed from ACORE-10520 to https://www.cip.audi.de/jira/browse/ACORE-10520

#5 - 2020-07-07 12:50 - hidden

- Status changed from To Be Closed to Closed
